INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('DSC', 'Direct debit setup - customer', 'Direct debit setup - customer', 'Y');

ALTER TABLE KUPCI
ADD ID_HASH VARCHAR2(50 CHAR);

UPDATE KUPCI K
SET K.ID_HASH = ORA_HASH (K.ID || SYSTIMESTAMP || SYS_GUID ())
WHERE K.ID_HASH IS NULL;

UPDATE KUPCI K
SET K.ID_HASH = (CASE WHEN LENGTH(K.ID_HASH) < 50 THEN LPAD(K.ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(K.ID_HASH) END)       
WHERE K.ID_HASH IS NOT NULL AND LENGTH(K.ID_HASH) < 50;

CREATE OR REPLACE
TRIGGER KUPCI_ID_HASH_TRG
BEFORE INSERT OR UPDATE
ON KUPCI
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
   ID_HASH VARCHAR2(50);;
BEGIN
	IF (:NEW.ID_HASH IS NULL) THEN
      SELECT ORA_HASH (:NEW.ID || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
      :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
	END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1183, SYSDATE, '5.5', 1103, 'Kupci ID_HASH')
;