CREATE TABLE BUDGET_GROUP (
	ID_BUDGET_GROUP NUMBER NOT NULL,
	DESCRIPTION VARCHAR2(100 CHAR),
	INTERNAL_DESCRIPTION VARCHAR2(100 CHAR),
	ACTIVE VARCHAR2 (1 CHAR),
	CONSTRAINT BUDGET_GROUP_PK PRIMARY KEY (ID_BUDGET_GROUP)
);

CREATE SEQUENCE BUDGET_GROUP_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE S_ARTIKLI
ADD ID_BUDGET_GROUP NUMBER;

ALTER TABLE S_ARTIKLI
ADD CONSTRAINT S_ARTIKLI_BUDGET_GROUP_FK
FOREIGN KEY (ID_BUDGET_GROUP)
REFERENCES BUDGET_GROUP(ID_BUDGET_GROUP);

CREATE TABLE PLAN_BUDGET (
ID_PLAN_BUDGET NUMBER NOT NULL,
BUDGET_DATE DATE,
ID_BUDGET_GROUP NUMBER,
QUANTITY NUMBER,
NNLOCATION_ID NUMBER,
CONSTRAINT PK_PLAN_BUDGET PRIMARY KEY(ID_PLAN_BUDGET),
CONSTRAINT PLAN_BUDGET_GROUP_FK FOREIGN KEY (ID_BUDGET_GROUP) REFERENCES BUDGET_GROUP(ID_BUDGET_GROUP)
);

CREATE SEQUENCE PLAN_BUDGET_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1884, SYSDATE, '5.5', 1804, 'Budget plan')
;
