ALTER TABLE POROCILA
ADD NNLOCATION_ID NUMBER 
CONSTRAINT POROCILA_NNLOCATION_ID_FK REFERENCES NNLOCATION(ID);

CREATE INDEX IX_POROCILA_NNLOCATION_ID ON POROCILA (NNLOCATION_ID);

ALTER TABLE POROCILA
ADD CONFIDENTIAL VARCHAR2(1 CHAR); 

DROP VIEW V_POROCILA;

CREATE OR REPLACE VIEW V_POROCILA AS (
SELECT P.ID_POROCILA, P.ID_KATEGORIJA, P.ID_POROCILA_RPT, P.STEVILKA_POR, P.NASLOV_POR, P.DATOTEKA_POR, P.OPIS_POROCILA, P.FILTER_POROCILA, P.INTERNI_OPIS, 
P.ID_TIMER_DATA, P.NNLOCATION_ID, P.CONFIDENTIAL,
TD.TIMER_ID AS TIMER_DATA_TIMER_ID, TD.DESCRIPTION AS TIMER_DATA_DESCRIPTION, TD.INTERNAL_DESCRIPTION AS TIMER_DATA_INTERNAL_DESC,
KA.OPIS_KATEGORIJE AS KATEGORIJE_OPIS_KATEGORIJE, KA.INTERNI_OPIS AS KATEGORIJE_INTERNI_OPIS, KA.PROGRAM AS KATEGORIJE_PROGRAM, P.ACTIVE
FROM POROCILA P
LEFT OUTER JOIN KATEGORIJE KA ON KA.ID_KATEGORIJA = P.ID_KATEGORIJA
LEFT OUTER JOIN TIMER_DATA TD ON TD.ID_TIMER_DATA = P.ID_TIMER_DATA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2134, SYSDATE, '5.5', 2054, 'Confidential reports')
;
